extends Node

# CRUD

var crud = {}

func Create(key,value):
	if crud.has(key):
		print('key already exist')
		return
	crud[key] = value

func Read(key):
	if not crud.has(key):
		print('key doesent exist')
		return
	return crud[key]

func Update(key,value):
	if not crud.has(key):
		print('key doesent exist')
		return
	crud[key] = value

func delete(key):
	if not crud.has(key):
		print('key doesent exist')
		return
	crud.erase(key)
